DEVELOPER TOOLS README
======================

Introduction
------------

This directory contains files primarily for test requiring cluster
orchestration:

* bringing clusters up with various configurations

* reconfiguring clusters during testing to test failover
  and other dynamic behaviors

Contents
--------

Subdirectories include:

* bin — harnesses and other helper programs
* clusters — cluster definition files in YAML format
* lib - Perl modules for orchestration
* t-large — Perl test files

Configuration
-------------

The orchestration tool will search MONGOPATH and PATH (in that order) for
mongod or mongos of specific versions to fulfill a cluster definition
file specification.

For example, if there is a `~/mongodb` directory containing various mongodb
versions (e.g. from downloaded tarballs), each with a `bin` directory, this
command would set MONGOPATH to include all of them:

    export MONGOPATH=$(find ~/mongodb -type d -name bin \
        | perl -wE 'say join(":",map {chomp; $_} <>)'


